/** 
 * Must be overridden to enable SDK tool to build with extended Ext.app.Application classes
 * @param {Object} config Configuration of application
 * @param {String} constFn Classname of Application
 * @method application
 * @member Ext
 */

Ext.application = function(config, constFn) {
	var constFn = Ext.isString(constFn) ? constFn : "Ext.app.Application";
	Ext.require(constFn);
	Ext.onReady(function() {
		Ext.create(constFn, config);
	});
};
