/* 
 * This file is part of Arapi Ext
 *
 * Copyright (c) 2011 Alexis Dorn
 * 
 * Contact:  http://www.alexisdorn.de or info(at)alexisdorn.de
 * 
 * For examples, docs, download and unit tests have a look at 
 * http://www.alexisdorn.de/arapi-ext
 * 
 * License:
 * 
 * This file is licensed under the terms of
 * the Open Source LGPL 3.0 license. Commercial use is permitted to the extent
 * that the code/component(s) do NOT become part of another Open Source or 
 * Commercially licensed development library or toolkit without explicit permission.
 * 
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT OF THIRD-PARTY INTELLECTUAL 
 * PROPERTY RIGHTS.  See license for more details.
 * 
 * License details: http://www.gnu.org/licenses/lgpl.html
 * 
 * For use you need a license of Ext JS 4 (see license details under http://www.sencha.com/license.)
 */
Ext.define('Project.controller.core.Reference', { 
	extend: 'Project.lib.core.app.Controller',
	arapiModels: [
		{
			ref: "Product",
			className: "core.Product"
		}
	],
	arapiStores: [
		{
			ref: "Products",
			className: "core.Products"
		}
	],
	arapiRefs: [
		{
			ref: "Grid",
			className: "core.product.Grid"
		}
	],
	arapiViews: [
		{
			ref: "Grid",
			className: "core.product.Grid"
		}
	],
	onReady: function (){
		
	}
});